<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class LoginRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    /**
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'username' => ['required', 'string', 'min:3', 'max:32', 'regex:/^[A-Za-z0-9]+$/'],
            'password' => ['required', 'string', 'min:3', 'max:32'],
        ];
    }

    /**
     * @return array<string, string>
     */
    public function messages(): array
    {
        return [
            'username.required' => 'Укажи логин аккаунта.',
            'username.min' => 'Логин должен содержать минимум 3 символа.',
            'username.max' => 'Логин не должен быть длиннее 32 символов.',
            'username.regex' => 'Логин может содержать только латинские буквы и цифры.',
            'password.required' => 'Укажи пароль.',
            'password.min' => 'Пароль должен содержать минимум 3 символа.',
            'password.max' => 'Пароль не должен быть длиннее 32 символов.',
        ];
    }
}
